# Contributing

Thank you for your interest in contributing to oled-js to make it even better!

Not sure where to start? Check out the currently filed issues to see if there's anything there you'd like to work on.

## Feature requests
The best thing to do here is to file an issue if there already isn't one. If it's something fairly obviously needed (in your opinion) and you are happy to code it, feel free to open a pull request without filing an issue first.

## Bugs / Issues
Run a quick look through the currently open and closed issues and pull requests to make sure it hasn't already been reported or closed. If it's unique, feel free to open an issue.


## Code contribution workflow
1. Fork this repository and clone the new fork locally
2. Make your changes in a new git branch: `git checkout -b my-fix-branch master`
3. Follow the coding style of this project. 
4. Create your patch/feature, including appropriate tests if a test suite is present
5. Commit your changes using a descriptive commit message
6. Rebase on master if your branch falls behind on commits
7. Push up your new branch to your forked repo
8. In GitHub, send a pull request to `oled-js:master`. Include an explanation of what you did, and reference any issues if they are related.

